MSKGraphInternal::RBZone Struct Reference

Internal: a list of zones ( for v4) More...

## Public Member Functions

| RBZone ()
int | getId () const
| returns a unique id More...

## Public Attributes

bool | m_isMain
| the zone type: rbdr(true) or rbil More...
int | m_id
| the zone id More...
std::vector< int > | m_idList
| the list of rb More...
std::string | m_frame
| the frame name ( if it exist ) More...

## Detailed Description

Internal: a list of zones ( for v4)

## Constructor & Destructor Documentation

MSKGraphInternal::RBZone::RBZone | ( |  | ) |

inline

## Member Function Documentation

int MSKGraphInternal::RBZone::getId | ( |  | ) | const

inline

returns a unique id

Referenced by MSKGraph::readRB().

## Member Data Documentation

std::string MSKGraphInternal::RBZone::m_frame

the frame name ( if it exist )

Referenced by MSKGraph::readRB().

int MSKGraphInternal::RBZone::m_id

the zone id

Referenced by getId(), and MSKGraph::readRB().

std::vector<int> MSKGraphInternal::RBZone::m_idList

the list of rb

Referenced by MSKGraph::readRB(), and MSKGraph::sendObjects().

bool MSKGraphInternal::RBZone::m_isMain

the zone type: rbdr(true) or rbil

Referenced by getId(), and MSKGraph::readRB().

The documentation for this struct was generated from the following file:

- MSKGraph.cxx